import type { CSpellUserSettings } from '@cspell/cspell-types';
import type { CSpellSettingsInternalFinalized } from '../Models/CSpellSettingsInternalDef';
import type { ValidationIssue } from '../Models/ValidationIssue';
import type { ValidationOptions } from './ValidationTypes';
export declare const diagSource = "cSpell Checker";
export interface ValidateTextOptions {
    /**
     * Generate suggestions where there are spelling issues.
     */
    generateSuggestions?: boolean;
    /**
     * The number of suggestions to generate. The higher the number the longer it takes.
     */
    numSuggestions?: number;
    /**
     * Verify that the in-document directives are correct.
     */
    validateDirectives?: boolean;
}
/**
 * @deprecated
 * @deprecationMessage Use spellCheckDocument
 */
export declare function validateText(text: string, settings: CSpellUserSettings, options?: ValidateTextOptions): Promise<ValidationIssue[]>;
export declare function settingsToValidateOptions(settings: CSpellSettingsInternalFinalized): ValidationOptions;
//# sourceMappingURL=validator.d.ts.map